; The CMD file.
;
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = some_name
;   command = the_command
;   time = time (optional -- defaults to 15 if omitted)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas.
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /F, a    ;hold fwd while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;               command = ~30
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   You can combine them:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;   It's recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This matches the way most
;   popular fighting games implement their engine.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. Defaults to 15
;   if omitted
;
; If you have two or more commands with the same name, all of them will
; work. You can use it to allow multiple motions for the same move.
;
; Some common commands are given below. Delete, add, or modify as you wish.

;-| AI Commands |----------------------------------------------------------

;Orochi Herman's AI Commands
;"Let's see you do this!!!" >:)

[command]
name = "AI_OrochiHerman1"
command = D, D, D, D, D, D, D, D
time = 1

[command]
name = "AI_OrochiHerman2"
command = D, D, D, D, D, D, D, D
time = 1

[command]
name = "AI_OrochiHerman3"
command = D, D, D, D, D, D, D, D
time = 1

[command]
name = "AI_OrochiHerman4"
command = z, z, z, z, z, z, z, z
time = 1

[command]
name = "AI_OrochiHerman5"
command = z, z, z, z, z, z, z, z
time = 1

[command]
name = "AI_OrochiHerman6"
command = z, z, z, z, z, z, z, z
time = 1

[command]
name = "AI_OrochiHerman7"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "AI_OrochiHerman8"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "AI_OrochiHerman9"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "AI_OrochiHerman10"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "AI_OrochiHerman11"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "AI_OrochiHerman12"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "AI_OrochiHerman13"
command = U, U, U, U, U, U, U, U
time = 1

[command]
name = "AI_OrochiHerman14"
command = U, U, U, U, U, U, U, U
time = 1

[command]
name = "AI_OrochiHerman15"
command = U, U, U, U, U, U, U, U
time = 1

[command]
name = "AI_OrochiHerman16"
command = a, a, a, a, a, a, a, a
time = 1

[command]
name = "AI_OrochiHerman17"
command = a, a, a, a, a, a, a, a
time = 1

[command]
name = "AI_OrochiHerman18"
command = a, a, a, a, a, a, a, a
time = 1

[command]
name = "AI_OrochiHerman19"
command = F, F, F, F, F, F, F, F
time = 1

[command]
name = "AI_OrochiHerman20"
command = F, F, F, F, F, F, F, F
time = 1

[command]
name = "AI_OrochiHerman21"
command = F, F, F, F, F, F, F, F
time = 1

[command]
name = "AI_OrochiHerman22"
command = b, b, b, b, b, b, b, b
time = 1

[command]
name = "AI_OrochiHerman23"
command = b, b, b, b, b, b, b, b
time = 1

[command]
name = "AI_OrochiHerman24"
command = b, b, b, b, b, b, b, b
time = 1

[command]
name = "AI_OrochiHerman25"
command = y, y, y, y, y, y, y, y
time = 1

[command]
name = "AI_OrochiHerman26"
command = y, y, y, y, y, y, y, y
time = 1

[command]
name = "AI_OrochiHerman27"
command = y, y, y, y, y, y, y, y
time = 1

[command]
name = "AI_OrochiHerman28"
command = s, s, s, s, s, s, s, s
time = 1

[command]
name = "AI_OrochiHerman29"
command = s, s, s, s, s, s, s, s
time = 1

[command]
name = "AI_OrochiHerman30"
command = s, s, s, s, s, s, s, s
time = 1

;-| CPU Shortcuts |--------------------------------------------------------

[Command]
name = "do_CPU1"
command = ~D, DF, F + A
time = 0

[Command]
name = "do_CPU2"
command = ~D, DF, F + B
time = 0

;-| Super Motions |--------------------------------------------------------

; END OF HELL/HEAVEN/EDEN
[Command]
name = "dm_x"
command = ~D, DB, B, DB, D, DF, F, x
time = 44

[Command]
name = "dm_y"
command = ~D, DB, B, DB, D, DF, F, y
time = 44

[Command]
name = "dm_z"
command = ~D, DB, B, DB, D, DF, F, z
time = 44

; DESPERATE OVERDRIVE
[Command]
name = "do_x"
command = ~D, DF, F, DF, D, DB, B, x
time = 44

[Command]
name = "do_y"
command = ~D, DF, F, DF, D, DB, B, y
time = 44

[Command]
name = "do_z"
command = ~D, DF, F, DF, D, DB, B, z
time = 44

; SCORCHING DARK MOON
[Command]
name = "QCF2_x"
command = ~D, DF, F, D, DF, F, x
time = 24

[Command]
name = "QCF2_y"
command = ~D, DF, F, D, DF, F, y
time = 24

[Command]
name = "QCF2_z"
command = ~D, DF, F, D, DF, F, z
time = 24

;-| Special Motions |------------------------------------------------------
;-----------------

; QCF
[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_z"
command = ~D, DF, F, z

[Command]
name = "QCF_a"
command = ~D, DF, F, a

[Command]
name = "QCF_b"
command = ~D, DF, F, b

[Command]
name = "QCF_c"
command = ~D, DF, F, c

;-----------------
; QCB
[Command]
name = "QCB_a"
command = ~D, DB, B, a

[Command]
name = "QCB_b"
command = ~D, DB, B, b

[Command]
name = "QCB_c"
command = ~D, DB, B, c

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_z"
command = ~D, DB, B, z

;-----------------
; Dark Moon
[Command]
name = "moon_x"
command = ~F, D, DF, x

[Command]
name = "moon_y"
command = ~F, D, DF, y

[Command]
name = "moon_z"
command = ~F, D, DF, z

;-----------------
; HCB
[Command]
name = "HCB_x"
command = ~F, DF, D, DB, B, x
time = 20

[Command]
name = "HCB_y"
command = ~F, DF, D, DB, B, y
time = 20

[Command]
name = "HCB_z"
command = ~F, DF, D, DB, B, z
time = 20

;--------------------
;Charge_Down_up
[Command]
name = "chargedownup_a"
command = ~60$D, U, a
time = 10

[Command]
name = "chargedownup_b"
command = ~60$D, U, b
time = 10

[Command]
name = "chargedownup_c"
command = ~60$D, U, c
time = 10

[Command]
name = "chargedownup_x"
command = ~60$D, U, x
time = 10

[Command]
name = "chargedownup_y"
command = ~60$D, U, y
time = 10

[Command]
name = "chargedownup_z"
command = ~60$D, U, z
time = 10

;--------------------
;Charge_Back_fwd
[Command]
name = "chargebackfwd_a"
command = ~60$B, F, a
time = 10

[Command]
name = "chargebackfwd_b"
command = ~60$B, F, b
time = 10

[Command]
name = "chargedownup_c"
command = ~60$D, U, c
time = 10

[Command]
name = "chargedownup_x"
command = ~60$D, U, x
time = 10

[Command]
name = "chargedownup_y"
command = ~60$D, U, y
time = 10

[Command]
name = "chargedownup_z"
command = ~60$D, U, z
time = 10

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"       ;Required (do not remove)
command = F, F
time = 15

[Command]
name = "BB"       ;Required (do not remove)
command = B, B
time = 15

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = a+b
time = 1

[Command]
name = "ab"
command = a+b
time = 1

[Command]
name = "xy"
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_z"
command = /F,z
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "back_x"
command = /B,x
time = 1

[Command]
name = "back_y"
command = /B,y
time = 1

[Command]
name = "back_z"
command = /B,z
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_ab"
command = /F, a+b
time = 1

[Command]
name = "back_ab"
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd"  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup"   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1]                  ;Don't change this
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in. 


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
; Desperate Overdrive CPU X
[State -1]
type = ChangeState
value = 2500
triggerall = command = "do_CPU1"
triggerall = power >= 1000 ;Level 1
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Desperate Overdrive CPU Y
[State -1]
type = ChangeState
value = 2600
triggerall = command = "do_CPU2"
triggerall = power >= 2000 ;Level 2
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;===========================================================================
;---------------------------------------------------------------------------
; Desperate Overdrive X
[State -1]
type = ChangeState
value = 2500
triggerall = command = "do_x"
triggerall = power >= 1000 ;Level 1
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Desperate Overdrive Y
[State -1]
type = ChangeState
value = 2600
triggerall = command = "do_y"
triggerall = power >= 2000 ;Level 2
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Desperate Overdrive Z
[State -1]
type = ChangeState
value = 2700
triggerall = command = "do_z"
triggerall = power >= 3000 ;Level 2
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;===========================================================================
;---------------------------------------------------------------------------
; End of Hell X
[State -1]
type = ChangeState
value = 2010
triggerall = Var(0) = 0
triggerall = command = "dm_x"
triggerall = power >= 1000 ;Level 1
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; End of Hell X (AI Only)
[State -1]
type = ChangeState
value = 2010
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 15
triggerall = P2MoveType = H
triggerall = Random <= 199
triggerall = power >= 1000 ;Level 1
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; End of Heaven Y
[State -1]
type = ChangeState
value = 2000
triggerall = Var(0) = 0
triggerall = command = "dm_y"
triggerall = power >= 2000 ;Level 2
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; End of Heaven Y (AI Only)
[State -1]
type = ChangeState
value = 2000
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 15
triggerall = P2MoveType = H
triggerall = Random <= 199
triggerall = power >= 2000 ;Level 2
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; End of Eden Z
[State -1]
type = ChangeState
value = 2020
triggerall = Var(0) = 0
triggerall = command = "dm_z"
triggerall = power >= 3000 ;Level 3
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; End of Eden Z (AI Only)
[State -1]
type = ChangeState
value = 2020
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 15
triggerall = P2MoveType = H
triggerall = Random <= 199
triggerall = power >= 3000 ;Level 3
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;===========================================================================
;---------------------------------------------------------------------------
; Scorching Dark Moon X
[State -1]
type = ChangeState
value = 1050
triggerall = Var(0) = 0
triggerall = command = "QCF2_x"
triggerall = power >= 1000 ;Level 1
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Scorching Dark Moon X (AI Only)
[State -1]
type = ChangeState
value = 1050
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 60 
triggerall = P2BodyDist Y <= -40 && P2BodyDist Y >= -100
triggerall = power >= 1000 ;Level 1
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Scorching Dark Moon Y
[State -1]
type = ChangeState
value = 1060
triggerall = command = "QCF2_y"
triggerall = power >= 1000 ;Level 1
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Scorching Dark Moon Z
[State -1]
type = ChangeState
value = 1070
triggerall = command = "QCF2_z"
triggerall = power >= 1000 ;Level 1
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;===========================================================================
;---------------------------------------------------------------------------
; Rising Dark Moon X
[State -1]
type = ChangeState
value = 1000
triggerall = Var(0) = 0
triggerall = command = "moon_x"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Rising Dark Moon X (AI Only)
[State -1]
type = ChangeState
value = 1000
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 60 
triggerall = P2BodyDist Y <= -40 && P2BodyDist Y >= -100
triggerall = Power < 1000
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Rising Dark Moon Y
[State -1]
type = ChangeState
value = 1010
triggerall = command = "moon_y"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Rising Dark Moon Z
[State -1]
type = ChangeState
value = 1020
triggerall = command = "moon_z"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Typhoon Rage X
[State -1]
type = ChangeState
value = 1100
triggerall = Var(0) = 0
triggerall = command = "QCF_x"
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Typhoon Rage X (AI Only)
[State -1]
type = ChangeState
value = 1100
triggerall = Var(0) = 1
triggerall = Random <= 499
triggerall = P2MoveType = A
triggerall = P2BodyDist X >= 150
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Typhoon Rage Y
[State -1]
type = ChangeState
value = 1110
triggerall = command = "QCF_y"
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Typhoon Rage Z
[State -1]
type = ChangeState
value = 1120
triggerall = command = "QCF_z"
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Resolute Impact A
[State -1]
type = ChangeState
value = 1200
triggerall = command = "QCF_a"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Resolute Impact B
[State -1]
type = ChangeState
value = 1200
triggerall = command = "QCF_b"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Resolute Impact C
[State -1]
type = ChangeState
value = 1200
triggerall = command = "QCF_c"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Desperate Momentum X
[State -1]
type = ChangeState
value = 1500
triggerall = command = "HCB_x"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Desperate Momentum Y
[State -1]
type = ChangeState
value = 1510
triggerall = command = "HCB_y"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Desperate Momentum Z
[State -1]
type = ChangeState
value = 1520
triggerall = command = "HCB_z"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 206
trigger8 = movecontact = 1
trigger9 = stateno = 705
trigger9 = movecontact = 1
trigger10 = stateno = 221
trigger10 = movecontact = 1
;---------------------------------------------------------------------------
; Momentum Penetration
[State -1]
type = ChangeState
value = 1504
trigger1 = command = "fwd_x"
trigger1 = stateno = 1503
trigger1 = time >= 23
trigger2 = command = "fwd_y"
trigger2 = stateno = 1503
trigger2 = time >= 23
trigger3 = command = "fwd_z"
trigger3 = stateno = 1503
trigger3 = time >= 23
trigger4 = command = "back_x"
trigger4 = stateno = 1503
trigger4 = time >= 23
trigger5 = command = "back_y"
trigger5 = stateno = 1503
trigger5 = time >= 23
trigger6 = command = "back_z"
trigger6 = stateno = 1503
trigger6 = time >= 23

;---------------------------------------------------------------------------
; Dark Moon Penetration X
[State -1]
type = ChangeState
value = 9997
trigger1 = command = "fwd_a"
trigger1 = stateno = 1503
trigger1 = time >= 20
trigger2 = command = "back_a"
trigger2 = stateno = 1503
trigger2 = time >= 20

;---------------------------------------------------------------------------
; Dark Moon Penetration Y
[State -1]
type = ChangeState
value = 9998
trigger1 = command = "fwd_b"
trigger1 = stateno = 1503
trigger1 = time >= 20
trigger2 = command = "back_b"
trigger2 = stateno = 1503
trigger2 = time >= 20

;---------------------------------------------------------------------------
; Dark Moon Penetration Z
[State -1]
type = ChangeState
value = 9999
trigger1 = command = "fwd_c"
trigger1 = stateno = 1503
trigger1 = time >= 20
trigger2 = command = "back_c"
trigger2 = stateno = 1503
trigger2 = time >= 20

;===========================================================================
;---------------------------------------------------------------------------
; Dodge
[State -1]
type = ChangeState
value = 700
triggerall = Var(0) = 0
trigger1 = command = "xy"
trigger1 = statetype = S
trigger1 = command != "holddown"
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Dodge (AI Only)
[State -1]
type = ChangeState
value = 700
triggerall = Var(0) = 1
triggerall = Random <= 399
triggerall = P2BodyDist X <= 80
triggerall = P2StateType != A
triggerall = P2MoveType = A
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Dodge attack
[State -1]
type = ChangeState
value = 705
triggerall = stateno = 700
triggerall = AnimElem = 2, >= 0
trigger1 = command = "x"
trigger2 = command = "y"
trigger3 = command = "z"
trigger4 = command = "a"
trigger5 = command = "b"
trigger6 = command = "c"
;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = Var(0) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunFwd (AI Only)
[State -1]
type = ChangeState
value = 100
trigger1 = Var(0) = 1
trigger1 = Stateno != 100
trigger1 = P2BodyDist X > 100
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
;triggerall = Var(0) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_Throw (close dir+z)
[State -1]
type = ChangeState
value = 250
triggerall = Var(0) = 0
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X < 5
trigger1 = command = "fwd_z"
trigger1 = stateno != 100
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = "fwd_z"
trigger2 = stateno != 100
trigger2 = p2statetype = C
trigger2 = p2movetype != H
trigger3 = command = "back_z"
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = command = "back_z"
trigger4 = p2statetype = C
trigger4 = p2movetype != H
trigger5 = command = "fwd_y"
trigger5 = stateno != 100
trigger5 = p2statetype = S
trigger5 = p2movetype != H
trigger6 = command = "fwd_y"
trigger6 = stateno != 100
trigger6 = p2statetype = C
trigger6 = p2movetype != H
trigger7 = command = "back_y"
trigger7 = p2statetype = S
trigger7 = p2movetype != H
trigger8 = command = "back_y"
trigger8 = p2statetype = C
trigger8 = p2movetype != H
;---------------------------------------------------------------------------
;Stand_Throw (AI Only)
[State -1]
type = ChangeState
value = 250
triggerall = Var(0) = 1
triggerall = Random <= 399
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X < 5
trigger1 = stateno != 100
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = stateno != 100
trigger2 = p2statetype = C
trigger2 = p2movetype != H
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = p2statetype = C
trigger4 = p2movetype != H
trigger5 = stateno != 100
trigger5 = p2statetype = S
trigger5 = p2movetype != H
trigger6 = stateno != 100
trigger6 = p2statetype = C
trigger6 = p2movetype != H
trigger7 = p2statetype = S
trigger7 = p2movetype != H
trigger8 = p2statetype = C
trigger8 = p2movetype != H
;---------------------------------------------------------------------------
;Cut Spin
[State -1]
type = ChangeState
value = 206
triggerall = command = "fwd_x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 202
trigger4 = movecontact = 1
trigger5 = stateno = 203
trigger5 = movecontact = 1
trigger5 = time > 15
trigger6 = stateno = 204
trigger6 = movecontact = 1
trigger7 = stateno = 205
trigger7 = movecontact = 1
trigger8 = stateno = 221
trigger8 = movecontact = 1
;---------------------------------------------------------------------------
;Air_Throw1 (close dir+b)
; This is disabled right now. Remove the "null;" below when you
; want to use it.
[State -1]
type = null; ChangeState
value = 950
triggerall = statetype = A
triggerall = ctrl = 1
triggerall = p2bodydist X < 9
triggerall = p2bodydist Y > -22
triggerall = p2bodydist Y < 22
triggerall = p2statetype = A
triggerall = p2movetype != H
trigger1 = command = "fwd_b"
trigger2 = command = "back_b"

;===========================================================================
;---------------------------------------------------------------------------
;Punch 1
[State -1]
type = ChangeState
value = 200
triggerall = Var(0) = 0
triggerall = command = "x"          ;Place name of command here
triggerall = command != "holddown"  ;Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = P2bodydist X >= 15
trigger2 = stateno = 200
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger2 = time > 4
trigger3 = stateno = 222
trigger3 = movecontact = 1
;---------------------------------------------------------------------------
;Punch 1 (AI Only)
[State -1]
type = ChangeState
value = 200
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "x"          ;Place name of command here
triggerall = command != "holddown"  ;Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = P2bodydist X >= 15
trigger2 = stateno = 200
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger2 = time > 4
trigger3 = stateno = 222
trigger3 = movecontact = 1
;---------------------------------------------------------------------------
;Punch 1 close
[State -1]
type = ChangeState
value = 220
triggerall = command = "x"          ;Place name of command here
triggerall = command != "holddown"  ;Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = P2bodydist X < 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 220
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger2 = time > 4
trigger3 = stateno = 222
trigger3 = movecontact = 1
;---------------------------------------------------------------------------
;Punch 2
[State -1]
type = ChangeState
value = 201
triggerall = Var(0) = 0
triggerall = command = "y"          ;Place name of command here
triggerall = command != "holddown"  ;Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = P2bodydist X >= 25
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 203
trigger3 = movecontact = 1
trigger3 = time > 20
trigger4 = stateno = 204
trigger4 = movecontact = 1
;---------------------------------------------------------------------------
;Punch 2 (AI Only)
[State -1]
type = ChangeState
value = 201
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "y"          ;Place name of command here
triggerall = command != "holddown"  ;Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = P2bodydist X >= 25
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 203
trigger3 = movecontact = 1
trigger3 = time > 20
trigger4 = stateno = 204
trigger4 = movecontact = 1
;---------------------------------------------------------------------------
;Punch 2 close
[State -1]
type = ChangeState
value = 221
triggerall = command = "y"          ;Place name of command here
triggerall = command != "holddown"  ;Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = P2bodydist X < 25
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 203
trigger3 = movecontact = 1
trigger3 = time > 20
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 222
trigger5 = movecontact = 1
;---------------------------------------------------------------------------
;Punch 3
[State -1]
type = ChangeState
value = 202
triggerall = Var(0) = 0
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 203
trigger4 = movecontact = 1
trigger4 = time > 20
trigger5 = stateno = 204
trigger5 = movecontact = 1
trigger6 = stateno = 205
trigger6 = movecontact = 1
trigger7 = stateno = 221
trigger7 = movecontact = 1
trigger8 = stateno = 222
trigger8 = movecontact = 1
trigger9 = stateno = 220
trigger9 = movecontact = 1
;---------------------------------------------------------------------------
;Punch 3 (AI Only)
[State -1]
type = ChangeState
value = 202
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 203
trigger4 = movecontact = 1
trigger4 = time > 20
trigger5 = stateno = 204
trigger5 = movecontact = 1
trigger6 = stateno = 205
trigger6 = movecontact = 1
trigger7 = stateno = 221
trigger7 = movecontact = 1
trigger8 = stateno = 222
trigger8 = movecontact = 1
trigger9 = stateno = 220
trigger9 = movecontact = 1
;---------------------------------------------------------------------------
;Kick 1
[State -1]
type = ChangeState
value = 204
triggerall = Var(0) = 0
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = P2bodydist X >= 25
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 204
trigger4 = movecontact = 1
trigger4 = time > 9
;---------------------------------------------------------------------------
;Kick 1 (AI Only)
[State -1]
type = ChangeState
value = 204
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = P2bodydist X >= 25
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 204
trigger4 = movecontact = 1
trigger4 = time > 9
;---------------------------------------------------------------------------
;Kick 1 close
[State -1]
type = ChangeState
value = 222
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = P2bodydist X < 25
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 222
trigger4 = movecontact = 1
trigger4 = time > 10
trigger5 = stateno = 220
trigger5 = movecontact = 1
;---------------------------------------------------------------------------
;Kick 2
[State -1]
type = ChangeState
value = 203
triggerall = Var(0) = 0
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 222
trigger2 = movecontact = 1
trigger3 = stateno = 200
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 221
trigger5 = movecontact = 1
;---------------------------------------------------------------------------
;Kick 2 (AI Only)
[State -1]
type = ChangeState
value = 203
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 222
trigger2 = movecontact = 1
trigger3 = stateno = 200
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 221
trigger5 = movecontact = 1
;---------------------------------------------------------------------------
;Kick 3
[State -1]
type = ChangeState
value = 205
triggerall = Var(0) = 0
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 203
trigger4 = movecontact = 1
trigger4 = time > 20
trigger5 = stateno = 204
trigger5 = movecontact = 1
trigger6 = stateno = 221
trigger6 = movecontact = 1
trigger7 = stateno = 222
trigger7 = movecontact = 1
;---------------------------------------------------------------------------
;Kick 3 (AI Only)
[State -1]
type = ChangeState
value = 205
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 201
trigger3 = movecontact = 1
trigger4 = stateno = 203
trigger4 = movecontact = 1
trigger4 = time > 20
trigger5 = stateno = 204
trigger5 = movecontact = 1
trigger6 = stateno = 221
trigger6 = movecontact = 1
trigger7 = stateno = 222
trigger7 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch punch 1
[State -1]
type = ChangeState
value = 223
triggerall = Var(0) = 0
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 223
trigger2 = movecontact = 1
trigger2 = time > 4
;---------------------------------------------------------------------------
;Crouch punch 1 (AI Only)
[State -1]
type = ChangeState
value = 223
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 223
trigger2 = movecontact = 1
trigger2 = time > 4
;---------------------------------------------------------------------------
;Crouch punch 2
[State -1]
type = ChangeState
value = 224
triggerall = Var(0) = 0
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 223
trigger2 = movecontact = 1
trigger3 = stateno = 225
trigger3 = movecontact = 1
trigger4 = stateno = 228
trigger4 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch punch 2 (AI Only)
[State -1]
type = ChangeState
value = 224
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 223
trigger2 = movecontact = 1
trigger3 = stateno = 225
trigger3 = movecontact = 1
trigger4 = stateno = 228
trigger4 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch punch 3
[State -1]
type = ChangeState
value = 226
triggerall = Var(0) = 0
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 224
trigger2 = movecontact = 1
trigger3 = stateno = 223
trigger3 = movecontact = 1
trigger4 = stateno = 221
trigger4 = movecontact = 1
trigger5 = stateno = 228
trigger5 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch punch 3 (AI Only)
[State -1]
type = ChangeState
value = 226
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 224
trigger2 = movecontact = 1
trigger3 = stateno = 223
trigger3 = movecontact = 1
trigger4 = stateno = 221
trigger4 = movecontact = 1
trigger5 = stateno = 228
trigger5 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch kick 1
[State -1]
type = ChangeState
value = 225
triggerall = Var(0) = 0
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 225
trigger2 = movecontact = 1
trigger2 = time > 4
;---------------------------------------------------------------------------
;Crouch kick 1 (AI Only)
[State -1]
type = ChangeState
value = 225
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 225
trigger2 = movecontact = 1
trigger2 = time > 4
;---------------------------------------------------------------------------
;Crouch kick 2
[State -1]
type = ChangeState
value = 228
triggerall = Var(0) = 0
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 225
trigger2 = movecontact = 1
trigger3 = stateno = 224
trigger3 = movecontact = 1
trigger4 = stateno = 223
trigger4 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch kick 2 (AI Only)
[State -1]
type = ChangeState
value = 228
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 225
trigger2 = movecontact = 1
trigger3 = stateno = 224
trigger3 = movecontact = 1
trigger4 = stateno = 223
trigger4 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch kick 3
[State -1]
type = ChangeState
value = 227
triggerall = Var(0) = 0
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 223
trigger2 = movecontact = 1
trigger3 = stateno = 224
trigger3 = movecontact = 1
trigger4 = stateno = 225
trigger4 = movecontact = 1
trigger5 = stateno = 228
trigger5 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch kick 3 (AI Only)
[State -1]
type = ChangeState
value = 227
triggerall = Var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 223
trigger2 = movecontact = 1
trigger3 = stateno = 224
trigger3 = movecontact = 1
trigger4 = stateno = 225
trigger4 = movecontact = 1
trigger5 = stateno = 228
trigger5 = movecontact = 1
;---------------------------------------------------------------------------
;Jump Punch 1
[State -1]
type = ChangeState
value = 600
trigger1 = command = "x"
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump Punch 2
[State -1]
type = ChangeState
value = 601
trigger1 = command = "y"
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump Punch 3
[State -1]
type = ChangeState
value = 602
trigger1 = command = "z"
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump Kick 1
[State -1]
type = ChangeState
value = 603
trigger1 = command = "a"
trigger1 = statetype = A
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
;Jump Kick 2 neu
[State -1]
type = ChangeState
value = 610
trigger1 = command = "b"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger1 = Vel X = 0
;---------------------------------------------------------------------------
;Jump Kick 2
[State -1]
type = ChangeState
value = 604
trigger1 = command = "b"
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump Kick 3
[State -1]
type = ChangeState
value = 605
trigger1 = command = "c"
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Taunt
[State -1]
type = ChangeState
value = 195
triggerall = Var(0) = 0
triggerall = command = "s"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;MAX up
[State -1]
type = ChangeState
value = 4000
triggerall = command = "hold_s"
triggerall = command = "holddown"
triggerall = power < 3000
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype = C
trigger2 = ctrl = 1
                       
;---------------------------------------------------------------------------
;AI Initialize
[State -1]
type = VarSet
triggerall = Var(0) = 0

trigger1 = command = "AI_OrochiHerman1"
trigger2 = command = "AI_OrochiHerman2"
trigger3 = command = "AI_OrochiHerman3"
trigger4 = command = "AI_OrochiHerman4"
trigger5 = command = "AI_OrochiHerman5"
trigger6 = command = "AI_OrochiHerman6"
trigger7 = command = "AI_OrochiHerman7"
trigger8 = command = "AI_OrochiHerman8"
trigger9 = command = "AI_OrochiHerman9"
trigger10 = command = "AI_OrochiHerman10"
trigger11 = command = "AI_OrochiHerman11"
trigger12 = command = "AI_OrochiHerman12"
trigger13 = command = "AI_OrochiHerman13"
trigger14 = command = "AI_OrochiHerman14"
trigger15 = command = "AI_OrochiHerman15"
trigger16 = command = "AI_OrochiHerman16"
trigger17 = command = "AI_OrochiHerman17"
trigger18 = command = "AI_OrochiHerman18"
trigger19 = command = "AI_OrochiHerman19"
trigger20 = command = "AI_OrochiHerman20"
trigger21 = command = "AI_OrochiHerman21"
trigger22 = command = "AI_OrochiHerman22"
trigger23 = command = "AI_OrochiHerman23"
trigger24 = command = "AI_OrochiHerman24"
trigger25 = command = "AI_OrochiHerman25"
trigger26 = command = "AI_OrochiHerman26"
trigger27 = command = "AI_OrochiHerman27"
trigger28 = command = "AI_OrochiHerman28"
trigger29 = command = "AI_OrochiHerman29"
trigger30 = command = "AI_OrochiHerman30"

v = 0
value = 1

;---------------------------------------------------------------------------
;AI End
[State -1]
type = VarSet
triggerall = Var(0) = 1
trigger1 = Win = 1
v = 0
value = 0
